Index: CONFIG/LMDZORINCA/trunk/scripts/BB_make
===================================================================
--- CONFIG/LMDZORINCA/trunk/scripts/BB_make	(revision 504)
+++ CONFIG/LMDZORINCA/trunk/scripts/BB_make	(revision 504)
@@ -0,0 +1,447 @@
+# $Id$
+# some variables
+TMP = ../../../tmp
+L_X = $(L_O) $(L_C)
+#-Q- sxnec  # Compiler options for the ORCA model
+#-Q- sxnec  F_O = -dw -Wf\"-A dbl4\" -sx5 -C vsafe -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I../../../prism/SX/build/lib/psmile.$(LIB_MPI)
+#-Q- sx6nec  # Compiler options for the ORCA model
+#-Q- sx6nec  F_O = -size_t64 -dw -Wf\"-A dbl4\" -C vsafe -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I../../../prism/SX/build/lib/psmile.$(LIB_MPI)
+#-Q- sx8brodie  # Compiler options for the ORCA model
+#-Q- sx8brodie  F_O = -dw -Wf\"-A dbl4\" -C vsafe -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I../../../prism/SX/build/lib/psmile.$(LIB_MPI)
+#-Q- linux  # Compiler options for the ORCA model
+#-Q- linux  F_O = -Mlist -O2 -byteswapio -r8  -module $(MODDIR)
+PREF=
+#-Q- sxnec	PREF=i.
+#-Q- sx6nec	PREF=i.
+#-Q- sx8brodie	PREF=i.
+
+KEY_LISTE=key_antarctic key_arctic key_bimg key_bulk key_convevd key_convnpc key_coupled key_coupled_ipslcm4 key_coupled_prism key_ddmixing key_debug key_diaeiv key_diagap key_diahdy key_diahth key_diainstant key_diaspr key_diatrddyn key_diatrdmld key_diatrdtra key_diaznl key_diaznl_brokenline key_dynhdfbilap key_dynhdfcoef1d key_dynhdfcoef2d key_dynhdfcoef3d key_dynhdfgeop key_dynhdfiso key_eastobc key_eel2 key_eel6 key_fdir key_feti key_flx key_flx_clio key_flx_lmd key_flxqsr key_freesurf_cstvol key_hpgimplicit key_ice key_ice_igloo key_ice_lln key_icedta key_islands key_lim_age key_lim_cp1 key_lim_cp2 key_lim_cp3 key_lim_fdd key_monotasking key_mpp key_mpp_mpi key_mpp_pvm key_mpp_shmem key_northobc key_noslip_accurate key_openmp key_orca_r025 key_orca_r05 key_orca_r2 key_orca_r4 key_passivetrc key_s_coord key_saldta key_saldta_monthly key_southobc key_sst key_tau key_tau_clio key_tau_ers_ncep key_tau_lmd key_temdta key_tradmp key_trahdfbilap key_trahdfcoef1d key_trahdfcoef2d key_trahdfcoef3d key_trahdfeiv key_trahdfgeop key_trahdfiso key_trddyn_new key_vairmer key_vorcombined key_vorenergy key_vpp key_westobc key_zdfconstant key_zdfexplicit key_zdfrichardson key_zdftke 
+
+# .o file list in the library
+LIB_OBJ = \
+		$(MODEL_LIB)(Fetilib.o)\
+		$(MODEL_LIB)(Fioopa2.o)\
+		$(MODEL_LIB)(allcray.o)\
+		$(MODEL_LIB)(alllib.o)\
+		$(MODEL_LIB)(ctlopn.o)\
+		$(MODEL_LIB)(prihin.o)\
+		$(MODEL_LIB)(prihre.o)\
+		$(MODEL_LIB)(prizre.o)\
+		$(MODEL_LIB)(Fioopa.o)\
+		$(MODEL_LIB)(Fmpplib.o)\
+		$(MODEL_LIB)(acrlbq.o)\
+		$(MODEL_LIB)(adv.o)\
+		$(MODEL_LIB)(advx.o)\
+		$(MODEL_LIB)(advy.o)\
+		$(MODEL_LIB)(angle.o)\
+		$(MODEL_LIB)(bn2.o)\
+		$(MODEL_LIB)(closea.o)\
+		$(MODEL_LIB)(cofdis.o)\
+		$(MODEL_LIB)(cur.o)\
+		$(MODEL_LIB)(day.o)\
+		$(MODEL_LIB)(defcst.o)\
+		$(MODEL_LIB)(defgrid.o)\
+		$(MODEL_LIB)(diabort.o)\
+		$(MODEL_LIB)(diadyn.o)\
+		$(MODEL_LIB)(diafwb.o)\
+		$(MODEL_LIB)(diagap.o)\
+		$(MODEL_LIB)(diahdy.o)\
+		$(MODEL_LIB)(diahf.o)\
+		$(MODEL_LIB)(diahth.o)\
+		$(MODEL_LIB)(diamld.o)\
+		$(MODEL_LIB)(diamxl.o)\
+		$(MODEL_LIB)(dianam.o)\
+		$(MODEL_LIB)(diaspr.o)\
+		$(MODEL_LIB)(diatra.o)\
+		$(MODEL_LIB)(diawri.o)\
+		$(MODEL_LIB)(diaznl.o)\
+		$(MODEL_LIB)(diffus.o)\
+		$(MODEL_LIB)(div.o)\
+		$(MODEL_LIB)(domclo.o)\
+		$(MODEL_LIB)(domhgr.o)\
+		$(MODEL_LIB)(dommba.o)\
+		$(MODEL_LIB)(dommsk.o)\
+		$(MODEL_LIB)(domstp.o)\
+		$(MODEL_LIB)(domwri.o)\
+		$(MODEL_LIB)(domzgr.o)\
+		$(MODEL_LIB)(dtacof.o)\
+		$(MODEL_LIB)(dtaobc.o)\
+		$(MODEL_LIB)(dtasal.o)\
+		$(MODEL_LIB)(dtasst.o)\
+		$(MODEL_LIB)(dtatem.o)\
+		$(MODEL_LIB)(dtrlec.o)\
+		$(MODEL_LIB)(dtrsal.o)\
+		$(MODEL_LIB)(dtrtem.o)\
+		$(MODEL_LIB)(dtruvg.o)\
+		$(MODEL_LIB)(dynami.o)\
+		$(MODEL_LIB)(dynhdf.o)\
+		$(MODEL_LIB)(dynhpg.o)\
+		$(MODEL_LIB)(dynkeg.o)\
+		$(MODEL_LIB)(dynnxt.o)\
+		$(MODEL_LIB)(dynspg.o)\
+		$(MODEL_LIB)(dynvor.o)\
+		$(MODEL_LIB)(dynzad.o)\
+		$(MODEL_LIB)(dynzdf.o)\
+		$(MODEL_LIB)(eos.o)\
+		$(MODEL_LIB)(fetmat.o)\
+		$(MODEL_LIB)(fetsch.o)\
+		$(MODEL_LIB)(fetstr.o)\
+		$(MODEL_LIB)(flx.o)\
+		$(MODEL_LIB)(flxrnf.o)\
+		$(MODEL_LIB)(fontbc.o)\
+		$(MODEL_LIB)(forcat.o)\
+		$(MODEL_LIB)(forcng.o)\
+		$(MODEL_LIB)(forkjoin.o)\
+		$(MODEL_LIB)(foroutp.o)\
+		$(MODEL_LIB)(gather.o)\
+		$(MODEL_LIB)(geo2oce.o)\
+		$(MODEL_LIB)(hdfeiv.o)\
+		$(MODEL_LIB)(hdfght.o)\
+		$(MODEL_LIB)(hdfguv.o)\
+		$(MODEL_LIB)(hdfslp.o)\
+		$(MODEL_LIB)(hgrcoo.o)\
+		$(MODEL_LIB)(icdadv.o)\
+		$(MODEL_LIB)(icdyna.o)\
+		$(MODEL_LIB)(icelln.o)\
+		$(MODEL_LIB)(icemodel.o)\
+		$(MODEL_LIB)(icetooce.o)\
+		$(MODEL_LIB)(informe.o)\
+		$(MODEL_LIB)(inicmo.o)\
+		$(MODEL_LIB)(inidom.o)\
+		$(MODEL_LIB)(inidta.o)\
+		$(MODEL_LIB)(inidtr.o)\
+		$(MODEL_LIB)(inihdf.o)\
+		$(MODEL_LIB)(inimpp.o)\
+		$(MODEL_LIB)(inimpp2.o)\
+		$(MODEL_LIB)(iniobc.o)\
+		$(MODEL_LIB)(iniout.o)\
+		$(MODEL_LIB)(inipar.o)\
+		$(MODEL_LIB)(inisol.o)\
+		$(MODEL_LIB)(initice.o)\
+		$(MODEL_LIB)(inizdf.o)\
+		$(MODEL_LIB)(islbsf.o)\
+		$(MODEL_LIB)(isldom.o)\
+		$(MODEL_LIB)(islmat.o)\
+		$(MODEL_LIB)(islpri.o)\
+		$(MODEL_LIB)(islpth.o)\
+		$(MODEL_LIB)(lbc.o)\
+		$(MODEL_LIB)(lbc2.o)\
+		$(MODEL_LIB)(lbcice.o)\
+		$(MODEL_LIB)(mlbxinit.o)\
+		$(MODEL_LIB)(mpplnkice.o)\
+		$(MODEL_LIB)(obc.o)\
+		$(MODEL_LIB)(obcdom.o)\
+		$(MODEL_LIB)(obcfld.o)\
+		$(MODEL_LIB)(obclec.o)\
+		$(MODEL_LIB)(obcspg.o)\
+		$(MODEL_LIB)(obcwri.o)\
+		$(MODEL_LIB)(ocesla.o)\
+		$(MODEL_LIB)(ocetoice.o)\
+		$(MODEL_LIB)(ocfzpt.o)\
+		$(MODEL_LIB)(opa.o)\
+		$(MODEL_LIB)(outave.o)\
+		$(MODEL_LIB)(parcst.o)\
+		$(MODEL_LIB)(parctl.o)\
+		$(MODEL_LIB)(parlec.o)\
+		$(MODEL_LIB)(pdecli.o)\
+		$(MODEL_LIB)(redrunb.o)\
+		$(MODEL_LIB)(redrunnc.o)\
+		$(MODEL_LIB)(redtab.o)\
+		$(MODEL_LIB)(repcmo.o)\
+		$(MODEL_LIB)(repere.o)\
+		$(MODEL_LIB)(rstwri.o)\
+		$(MODEL_LIB)(savrunb.o)\
+		$(MODEL_LIB)(savrunnc.o)\
+		$(MODEL_LIB)(savtab.o)\
+		$(MODEL_LIB)(scatter.o)\
+		$(MODEL_LIB)(shine.o)\
+		$(MODEL_LIB)(solfet.o)\
+		$(MODEL_LIB)(solmat.o)\
+		$(MODEL_LIB)(solpcg.o)\
+		$(MODEL_LIB)(solrbs.o)\
+		$(MODEL_LIB)(solsor.o)\
+		$(MODEL_LIB)(sprmat.o)\
+		$(MODEL_LIB)(staocb.o)\
+		$(MODEL_LIB)(start.o)\
+		$(MODEL_LIB)(step.o)\
+		$(MODEL_LIB)(stpcmo.o)\
+		$(MODEL_LIB)(stpctl.o)\
+		$(MODEL_LIB)(tau.o)\
+		$(MODEL_LIB)(thersf.o)\
+		$(MODEL_LIB)(trabbc.o)\
+		$(MODEL_LIB)(trabbl.o)\
+		$(MODEL_LIB)(tradmp.o)\
+		$(MODEL_LIB)(trahad.o)\
+		$(MODEL_LIB)(trahdf.o)\
+		$(MODEL_LIB)(tranpc.o)\
+		$(MODEL_LIB)(tranxt.o)\
+		$(MODEL_LIB)(traqsr.o)\
+		$(MODEL_LIB)(trasbc.o)\
+		$(MODEL_LIB)(trazad.o)\
+		$(MODEL_LIB)(trazdf.o)\
+		$(MODEL_LIB)(wzv.o)\
+		$(MODEL_LIB)(zdfbfr.o)\
+		$(MODEL_LIB)(zdfddm.o)\
+		$(MODEL_LIB)(zdfevd.o)\
+		$(MODEL_LIB)(zdfric.o)\
+		$(MODEL_LIB)(zdftke.o)
+#
+.SUFFIXES: .F
+#
+# target
+all: 		$(EXEC_BIN)
+		@cp SRC_FILE_LIST.temp SRC_FILE_LIST
+		@echo OPA model is OK
+# cleaning objects, libraries and executables
+clean:
+		$(RM) modele.o $(MODEL_LIB) $(SXMODEL_LIB) $(EXEC_BIN)
+		@echo OPA model \(.o libraries and executables are removed\)
+# dependancies
+$(EXEC_BIN) :	libioipsl key keyverif src_file_list modele.o $(MODEL_LIB) $(IOIPSL_LIB)
+		$(F_L) $(L_X) -o $(EXEC_BIN) modele.o $(SXMODEL_LIB) $(OASISMPI2_LIB) $(IOIPSL_LIB) $(NCDF_LIB) $(LIBMPI) $(LIBMP)
+
+libioipsl :
+	(cd ../../IOIPSL/src ; $(M_K) -f Makefile )
+
+# main program
+modele.o :	modele.f
+		$(F_C) $(F_O) -c modele.f
+
+# if the make script is stopped, one doesn't destroy library
+.PRECIOUS : $(MODEL_LIB)
+#-Q- sxnec .PRECIOUS : $(SXMODEL_LIB)
+#-Q- sx6nec .PRECIOUS : $(SXMODEL_LIB)
+#-Q- sx8brodie .PRECIOUS : $(SXMODEL_LIB)
+
+# library dependancies
+$(MODEL_LIB):	$(LIB_OBJ)
+		@echo
+		@echo La bibliotheque est a jour
+		@echo
+
+# Rules
+.DEFAULTS:
+# rules for the .F files
+.F.a :           
+		@echo default rule .F.a used 
+		$(F_C) $(P_P) $(F_O) \
+#-Q- sxnec		-R2 \
+#-Q- sx6nec		-R2 \
+#-Q- sx8brodie		-R2 \
+		$*.F || { mv $(PREF)$*.L $(TMP) ; false ; exit ; }
+#-Q- sxnec		$(A_X) $(SXMODEL_LIB) $*.o
+#-Q- sx6nec		$(A_X) $(SXMODEL_LIB) $*.o
+#-Q- sx8brodie		$(A_X) $(SXMODEL_LIB) $*.o
+		$(A_C) $(MODEL_LIB) $*.o
+		$(RM) $*.[of]
+#-Q- linux		mv $(PREF)$*.lst $(PREF)$*.L
+		mv $(PREF)$*.L $(TMP)
+
+# rules for the library from the .f files 
+.f.a : 		
+		@echo default rule .f.a used 
+		$(F_C) $(F_O) \
+#-Q- sxnec		-R2 \
+#-Q- sx6nec		-R2 \
+#-Q- sx8brodie		-R2 \
+		$*.f|| { mv $*.L $(TMP) ; false ; exit ; }
+#-Q- sxnec		$(A_X) $(SXMODEL_LIB) $*.o
+#-Q- sx6nec		$(A_X) $(SXMODEL_LIB) $*.o
+#-Q- sx8brodie		$(A_X) $(SXMODEL_LIB) $*.o
+		$(A_C) $(MODEL_LIB) $*.o
+		$(RM) -f $*.o
+#-Q- linux	mv $(PREF)$*.lst $(PREF)$*.L
+		mv $*.L $(TMP)
+#
+$(MODEL_LIB)(Fioopa.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP Fioopa.F
+$(MODEL_LIB)(Fmpplib.o) :	common.coupled.h common.h common.ice.h common.mpp.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.mpp.h parameter.obc.h parameter.passivetrc.h KEY_CPP Fmpplib.F
+$(MODEL_LIB)(acrlbq.o) :	bloc.h const.h ice.h para.h thermo.h type.h KEY_CPP acrlbq.F
+$(MODEL_LIB)(adv.o) :	bloc.h const.h dynami.h para.h type.h KEY_CPP adv.F
+$(MODEL_LIB)(advx.o) :	bloc.h const.h dynami.h para.h type.h KEY_CPP advx.F
+$(MODEL_LIB)(advy.o) :	bloc.h const.h dynami.h para.h type.h KEY_CPP advy.F
+$(MODEL_LIB)(angle.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h KEY_CPP angle.F
+$(MODEL_LIB)(bn2.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP bn2.F
+$(MODEL_LIB)(closea.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP closea.F
+$(MODEL_LIB)(cofdis.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP cofdis.F
+$(MODEL_LIB)(cur.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP cur.F
+$(MODEL_LIB)(day.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP day.F
+$(MODEL_LIB)(defcst.o) :	bloc.h const.h datadc.h dynami.h ice.h para.h reper.h type.h varno.h KEY_CPP defcst.F
+$(MODEL_LIB)(defgrid.o) :	bloc.h const.h dynami.h ice.h para.h reper.h type.h KEY_CPP defgrid.F
+$(MODEL_LIB)(diabort.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP diabort.F
+$(MODEL_LIB)(diadyn.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP diadyn.F
+$(MODEL_LIB)(diafwb.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP diafwb.F
+$(MODEL_LIB)(diagap.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP diagap.F
+$(MODEL_LIB)(diahdy.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP diahdy.F
+$(MODEL_LIB)(diahf.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP diahf.F
+$(MODEL_LIB)(diahth.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP diahth.F
+$(MODEL_LIB)(diamld.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h diamld.ncinit.h diamld.ncwrite.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP diamld.F
+$(MODEL_LIB)(diamxl.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP diamxl.F
+$(MODEL_LIB)(dianam.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h KEY_CPP dianam.F
+$(MODEL_LIB)(diaspr.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP diaspr.F
+$(MODEL_LIB)(diatra.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP diatra.F
+$(MODEL_LIB)(diawri.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h diawri.fdir.h diawri.vairmer.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP diawri.F
+$(MODEL_LIB)(diaznl.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h diaznl.brokenline.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP diaznl.F
+$(MODEL_LIB)(diffus.o) :	bloc.h const.h dynami.h para.h type.h KEY_CPP diffus.F
+$(MODEL_LIB)(div.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP div.F
+$(MODEL_LIB)(domclo.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP domclo.F
+$(MODEL_LIB)(domhgr.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP domhgr.F
+$(MODEL_LIB)(dommba.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP dommba.F
+$(MODEL_LIB)(dommsk.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP dommsk.F
+$(MODEL_LIB)(domstp.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP domstp.F
+$(MODEL_LIB)(domwri.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h domwri.fdir.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP domwri.F
+$(MODEL_LIB)(domzgr.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h domzgr.s.h domzgr.z.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP domzgr.F
+$(MODEL_LIB)(dtacof.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP dtacof.F
+$(MODEL_LIB)(dtaobc.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP dtaobc.F
+$(MODEL_LIB)(dtasal.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h dtasal.fdir.h dtasal.monthly.fdir.h dtasal.monthly.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP dtasal.F
+$(MODEL_LIB)(dtasst.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h dtasst.forced.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP dtasst.F
+$(MODEL_LIB)(dtatem.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h dtatem.fdir.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP dtatem.F
+$(MODEL_LIB)(dtrlec.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h dtrlec.fdir.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP dtrlec.F
+$(MODEL_LIB)(dtrsal.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP dtrsal.F
+$(MODEL_LIB)(dtrtem.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP dtrtem.F
+$(MODEL_LIB)(dtruvg.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP dtruvg.F
+$(MODEL_LIB)(dynami.o) :	bloc.h const.h dynami.h ice.h para.h type.h KEY_CPP dynami.F
+$(MODEL_LIB)(dynhdf.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h dynhdf.bilapgeopot.h dynhdf.bilaplacian.h dynhdf.isopycnal.h dynhdf.laplacian.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP dynhdf.F
+$(MODEL_LIB)(dynhpg.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP dynhpg.F
+$(MODEL_LIB)(dynkeg.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP dynkeg.F
+$(MODEL_LIB)(dynnxt.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP dynnxt.F
+$(MODEL_LIB)(dynspg.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h dynspg.freesurf.cstvol.h dynspg.rigidlid.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP dynspg.F
+$(MODEL_LIB)(dynvor.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h dynvor.combined.h dynvor.energy.h dynvor.enstrophy.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP dynvor.F
+$(MODEL_LIB)(dynzad.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP dynzad.F
+$(MODEL_LIB)(dynzdf.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h dynzdf.explicit.h dynzdf.implicit.h dynzdf.isopycnal.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h zdf.matrixsolver.h KEY_CPP dynzdf.F
+$(MODEL_LIB)(eos.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP eos.F
+$(MODEL_LIB)(fetmat.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP fetmat.F
+$(MODEL_LIB)(fetsch.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP fetsch.F
+$(MODEL_LIB)(fetstr.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP fetstr.F
+$(MODEL_LIB)(flx.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h flx.bulk.h flx.coupled.clio.h flx.coupled.h flx.forced.clio.fdir.h flx.forced.clio.h flx.forced.h flx.forced.lmd.h flx.sensitivity.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP flx.F
+$(MODEL_LIB)(flxrnf.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h flxrnf.orca.r05.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP flxrnf.F
+$(MODEL_LIB)(fontbc.o) :	bloc.h const.h ice.h para.h thermo.h type.h KEY_CPP fontbc.F
+$(MODEL_LIB)(forcat.o) :	bloc.h const.h ice.h para.h type.h KEY_CPP forcat.F
+$(MODEL_LIB)(forcng.o) :	bloc.h const.h dynami.h ice.h para.h type.h KEY_CPP forcng.F
+$(MODEL_LIB)(forkjoin.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP forkjoin.F
+$(MODEL_LIB)(foroutp.o) :	bloc.h const.h datadc.h para.h type.h varno.h KEY_CPP foroutp.F
+$(MODEL_LIB)(gather.o) :	type.h KEY_CPP gather.F
+$(MODEL_LIB)(geo2oce.o) :	parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h KEY_CPP geo2oce.F
+$(MODEL_LIB)(hdfeiv.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP hdfeiv.F
+$(MODEL_LIB)(hdfght.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP hdfght.F
+$(MODEL_LIB)(hdfguv.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP hdfguv.F
+$(MODEL_LIB)(hdfslp.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP hdfslp.F
+$(MODEL_LIB)(hgrcoo.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h hgrcoo.fdir.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP hgrcoo.F
+$(MODEL_LIB)(icdadv.o) :	bloc.h const.h dynami.h ice.h moment.h para.h type.h KEY_CPP icdadv.F
+$(MODEL_LIB)(icdyna.o) :	bloc.h const.h dynami.h ice.h para.h type.h KEY_CPP icdyna.F
+$(MODEL_LIB)(icelln.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h icelln.coupled.h icelln.lmd.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP icelln.F
+$(MODEL_LIB)(icemodel.o) :	bloc.h const.h dynami.h ice.h para.h type.h KEY_CPP icemodel.F
+$(MODEL_LIB)(icetooce.o) :	bloc.h const.h dynami.h ice.h para.h type.h KEY_CPP icetooce.F
+$(MODEL_LIB)(informe.o) :	bloc.h const.h dynami.h ice.h para.h reper.h type.h KEY_CPP informe.F
+$(MODEL_LIB)(inicmo.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h KEY_CPP inicmo.F
+$(MODEL_LIB)(inidom.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP inidom.F
+$(MODEL_LIB)(inidta.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP inidta.F
+$(MODEL_LIB)(inidtr.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP inidtr.F
+$(MODEL_LIB)(inihdf.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h inihdf.antarctic.h inihdf.arctic.h inihdf.dyn.coef1d.h inihdf.dyn.coef2d.h inihdf.dyn.coef3d.h inihdf.tra.coef1d.h inihdf.tra.coef2d.h inihdf.tra.coef3d.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP inihdf.F
+$(MODEL_LIB)(inimpp.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h ../../../lib/libioipsl.a KEY_CPP inimpp.F
+$(MODEL_LIB)(inimpp2.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h ../../../lib/libioipsl.a KEY_CPP inimpp2.F
+$(MODEL_LIB)(iniobc.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP iniobc.F
+$(MODEL_LIB)(iniout.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP iniout.F
+$(MODEL_LIB)(inipar.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP inipar.F
+$(MODEL_LIB)(inisol.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP inisol.F
+$(MODEL_LIB)(initice.o) :	bloc.h const.h dynami.h ice.h para.h type.h KEY_CPP initice.F
+$(MODEL_LIB)(inizdf.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP inizdf.F
+$(MODEL_LIB)(islbsf.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h islbsf.fdir.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP islbsf.F
+$(MODEL_LIB)(isldom.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP isldom.F
+$(MODEL_LIB)(islmat.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h islmat.fdir.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP islmat.F
+$(MODEL_LIB)(islpri.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP islpri.F
+$(MODEL_LIB)(islpth.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP islpth.F
+$(MODEL_LIB)(lbc.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h KEY_CPP lbc.F
+$(MODEL_LIB)(lbc2.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h KEY_CPP lbc2.F
+$(MODEL_LIB)(lbcice.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h KEY_CPP lbcice.F
+$(MODEL_LIB)(mlbxinit.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h KEY_CPP mlbxinit.F
+$(MODEL_LIB)(mpplnkice.o) :	common.coupled.h common.h common.ice.h common.mpp.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.mpp.h parameter.obc.h parameter.passivetrc.h KEY_CPP mpplnkice.F
+$(MODEL_LIB)(obc.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h obc.east.h obc.north.h obc.south.h obc.west.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP obc.F
+$(MODEL_LIB)(obcdom.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP obcdom.F
+$(MODEL_LIB)(obcfld.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h KEY_CPP obcfld.F
+$(MODEL_LIB)(obclec.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP obclec.F
+$(MODEL_LIB)(obcspg.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h obcspg.east.h obcspg.north.h obcspg.south.h obcspg.west.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP obcspg.F
+$(MODEL_LIB)(obcwri.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP obcwri.F
+$(MODEL_LIB)(ocesla.o) :	bloc.h const.h para.h type.h KEY_CPP ocesla.F
+$(MODEL_LIB)(ocetoice.o) :	bloc.h const.h dynami.h ice.h ocetoice.coupled.h para.h type.h KEY_CPP ocetoice.F
+$(MODEL_LIB)(ocfzpt.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP ocfzpt.F
+$(MODEL_LIB)(opa.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP opa.F
+$(MODEL_LIB)(outave.o) :	bloc.h const.h dynami.h ice.h para.h thermo.h type.h ../../../lib/libioipsl.a KEY_CPP outave.F
+$(MODEL_LIB)(parcst.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP parcst.F
+$(MODEL_LIB)(parctl.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP parctl.F
+$(MODEL_LIB)(parlec.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP parlec.F
+$(MODEL_LIB)(pdecli.o) :	const.h type.h KEY_CPP pdecli.F
+$(MODEL_LIB)(redrunb.o) :	bloc.h const.h datadc.h dynami.h ice.h moment.h para.h type.h vareq.h varno.h KEY_CPP redrunb.F
+$(MODEL_LIB)(redrunnc.o) :	bloc.h const.h datadc.h dynami.h ice.h moment.h para.h type.h vareq.h varno.h ../../../lib/libioipsl.a KEY_CPP redrunnc.F
+$(MODEL_LIB)(redtab.o) :	type.h KEY_CPP redtab.F
+$(MODEL_LIB)(repcmo.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h KEY_CPP repcmo.F
+$(MODEL_LIB)(repere.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP repere.F
+$(MODEL_LIB)(rstwri.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h rstwri.fdir.h stafun.h ../../../lib/libioipsl.a KEY_CPP rstwri.F
+$(MODEL_LIB)(savrunb.o) :	bloc.h const.h datadc.h dynami.h ice.h moment.h para.h type.h vareq.h varno.h KEY_CPP savrunb.F
+$(MODEL_LIB)(savrunnc.o) :	bloc.h const.h datadc.h dynami.h ice.h moment.h para.h type.h vareq.h varno.h ../../../lib/libioipsl.a KEY_CPP savrunnc.F
+$(MODEL_LIB)(savtab.o) :	type.h KEY_CPP savtab.F
+$(MODEL_LIB)(scatter.o) :	type.h KEY_CPP scatter.F
+$(MODEL_LIB)(shine.o) :	type.h KEY_CPP shine.F
+$(MODEL_LIB)(solfet.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP solfet.F
+$(MODEL_LIB)(solmat.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP solmat.F
+$(MODEL_LIB)(solpcg.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP solpcg.F
+$(MODEL_LIB)(solrbs.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP solrbs.F
+$(MODEL_LIB)(solsor.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP solsor.F
+$(MODEL_LIB)(sprmat.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP sprmat.F
+$(MODEL_LIB)(staocb.o) :	bloc.h const.h dynami.h ice.h moment.h para.h type.h KEY_CPP staocb.F
+$(MODEL_LIB)(start.o) :	bloc.h const.h ice.h para.h type.h KEY_CPP start.F
+$(MODEL_LIB)(step.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP step.F
+$(MODEL_LIB)(stpcmo.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h ../../../lib/libioipsl.a KEY_CPP stpcmo.F
+$(MODEL_LIB)(stpctl.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP stpctl.F
+$(MODEL_LIB)(tau.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h tau.coupled.clio.h tau.coupled.h tau.forced.clio.fdir.h tau.forced.clio.h tau.forced.ers.ncep.h tau.forced.h tau.forced.lmd.h KEY_CPP tau.F
+$(MODEL_LIB)(thersf.o) :	bloc.h const.h dynami.h ice.h para.h thermo.h type.h KEY_CPP thersf.F
+$(MODEL_LIB)(trabbc.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP trabbc.F
+$(MODEL_LIB)(trabbl.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP trabbl.F
+$(MODEL_LIB)(tradmp.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP tradmp.F
+$(MODEL_LIB)(trahad.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP trahad.F
+$(MODEL_LIB)(trahdf.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h diaznl.isopycnal.brokenline.h diaznl.isopycnal.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h trahdf.bilapgeopot.h trahdf.bilaplacian.h trahdf.isopycnal.h trahdf.laplacian.h KEY_CPP trahdf.F
+$(MODEL_LIB)(tranpc.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP tranpc.F
+$(MODEL_LIB)(tranxt.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP tranxt.F
+$(MODEL_LIB)(traqsr.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP traqsr.F
+$(MODEL_LIB)(trasbc.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP trasbc.F
+$(MODEL_LIB)(trazad.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP trazad.F
+$(MODEL_LIB)(trazdf.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h trazdf.explicit.h trazdf.implicit.h trazdf.isopycnal.h zdf.matrixsolver.h KEY_CPP trazdf.F
+$(MODEL_LIB)(wzv.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP wzv.F
+$(MODEL_LIB)(zdfbfr.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP zdfbfr.F
+$(MODEL_LIB)(zdfddm.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP zdfddm.F
+$(MODEL_LIB)(zdfevd.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP zdfevd.F
+$(MODEL_LIB)(zdfric.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP zdfric.F
+$(MODEL_LIB)(zdftke.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h zdf.matrixsolver.h KEY_CPP zdftke.F
+# key changing control
+key: 
+	@echo CHANGEMENT de CLES CPP oui/non ?
+	-@if [ "`cat KEY_CPP`" != "$(P_P)" ] ; then \
+		echo CPP options changed ; echo "$(P_P)" > KEY_CPP ; fi 
+
+keyverif:
+	@echo VERIFICATION DES CLES
+	@echo CLES UTILISEES  : 
+	@for v in ` echo $(P_P) | sed  -e s/-Wp,-D//g` ; \
+	do \
+	echo $$v ;\
+        w=`echo $$v | cut -c1-3` ; \
+        if [ $$w = `echo "key"` ] ; then \
+        r=n ; \
+        echo " $(KEY_LISTE) " | (grep $$v >/dev/null 2>&1) || r=o ; \
+           if [ $$r != "n" ] ; then \
+              echo "UNKNOWN KEY" ;\
+              false ;  \
+              exit ;  \
+           fi \
+        fi \
+	done
+# Checking the number of routines
+src_file_list: 
+	@echo CHECKING THE NUMBER AND NAMES OF SOURCE FILES 
+	@\$(RM) `ls | fgrep -v -f .patron` 
+	@if [ -d ../SRC_ORCA ] ; then ln -sf ../SRC_ORCA/*.[Ffh] . ; fi 
+	@if [ -d ../SRC_UCL ] ; then  ln -sf ../SRC_UCL/*[Ffh] . ; fi 
+	@if [ -d ../SRC_ORCA ] && [ -d ../SRC_TRC ] && [ ! -d ../SRC_OFFLINE_TRC ] ; then $(RM) *.passivetrc.h ; ln -sf ../SRC_ORCA/*.[Ffh] . ; ln -sf ../SRC_TRC/*.[Ffh] ../SRC_TRC/trc_sms/*.[Ffh] . ; fi 
+	@if [ -d ../SRC_OFFLINE_TRC ] ; then  ln -sf ../SRC_TRC/*.[Ffh] ../SRC_TRC/trc_sms/*.[Ffh] . ;ln -sf ../SRC_OFFLINE_TRC/*.[Ffh] . ; fi 
+	@$(RM) tmplist
+	@ls -1 | fgrep -v -f .patron  >tmplist
+	@cmp tmplist SRC_FILE_LIST.temp || { echo some routines have been added or suppressed ; sdiff -s tmplist SRC_FILE_LIST.temp ; cp tmplist SRC_FILE_LIST.temp ; $(RM) modele.o $(MODEL_LIB) $(SXMODEL_LIB) $(EXEC_BIN) ; echo Rebuilding the AA_make files ; cd ..  ; ../UTIL/fait_AA_make ; echo   ; echo THE ins_make COMMAND in modipsl/util MUST BE RERUN PLEASE DO SO BEFORE gmake ; echo  ==========================================  ; echo   ;  false ; exit ; }
Index: CONFIG/LMDZORINCA/trunk/scripts/BB_make.ldef
===================================================================
--- CONFIG/LMDZORINCA/trunk/scripts/BB_make.ldef	(revision 504)
+++ CONFIG/LMDZORINCA/trunk/scripts/BB_make.ldef	(revision 504)
@@ -0,0 +1,21 @@
+# $Id$
+#---------------------------------------------------------------------
+#- OPA SYSTEM : Ocean model + Sea Ice Model
+#---------------------------------------------------------------------
+SHELL = /bin/sh
+#-Q- t3e     #--- Please use gmake instead of make
+#-Q- fjvpp   #--- Please use gmake instead of make
+#---------------------------------------------------------------------
+LIBDIR = ../../../lib
+MODDIR = $(LIBDIR)
+MODEL_LIB = $(LIBDIR)/libopa.a
+IOIPSL_LIB = $(LIBDIR)/libioipsl.a
+SXMODEL_LIB = $(MODEL_LIB)
+#-Q- sxnec  SXMODEL_LIB = $(LIBDIR)/libsxopa.a
+#-Q- sx6nec  SXMODEL_LIB = $(LIBDIR)/libsxopa.a
+#-Q- sx8brodie  SXMODEL_LIB = $(LIBDIR)/libsxopa.a
+OASISMPI2_LIB = 
+LIBMPI  =
+LIBMP   =
+EXEC_BIN = ../../../bin/opa
+#-
